#define WIN32_LEAN_AND_MEAN
#define STRICT
	
#include <windows.h>
#include "exports.h"
#include "grdSysTray.h"

grdSysTray *theActualTray = NULL;

/***********************************************************
* int initModuleEx()                                       *
*                         *  *  *  *                       *
*    Arguments:                                            *
*                                                          *
*    - HWND parent                                         *
*      The HWND of the parent window to this module        *
*    - HINSTANCE dll                                       *
*      The HINSTANCE of this DLL.                          *
*    - LPCSTR szPath                                       *
*      A pointer to the path where litestep is stored.     *
*                         *  *  *  *                       *
* Handles all initialization of Sample.  Returns 0         *
***********************************************************/
	
int initModuleEx( HWND lswnd, HINSTANCE lsinstance, LPCSTR lspath ) {

	theActualTray = new grdSysTray( lswnd, lsinstance, lspath );

	if ( theActualTray )
		return 0;
	else
		return 1;

}

/***********************************************************
* int quitModule()                                         *
*                         *  *  *  *                       *
*    Arguments:                                            *
*                                                          *
*    - HINSTANCE dll                                       *
*      The HINSTANCE of this DLL.                          *
*                         *  *  *  *                       *
* Handles all of the unloading of this DLL.                *
***********************************************************/

int quitModule( HINSTANCE lsinstance ) {

	delete theActualTray;

    return 0;

}
